Redmine - Defect #33502

Issue field labels for fields with descriptions are missing styling on issues show view

2020-05-27 04:10 - Mischa The Evil

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 4.2.11

Resolution: Fixed Affected version: 411
Description

On the issues show view, issue field labels for fields with descriptions are missing the dotted border-bottom styling. At a first glance

the CSS seems fine though, but a second look shows that the 'overflow: hidden;' style declaration for the div.issue .attributes
.attribute .label selector (source:/trunk/public/stylesheets/application.css@19786#L533) seems to be the culprit. Disabling that

declaration fixes the missing border-bottom.

On the issues edit view, the field labels are correctly rendered with the border-bottom styling.

See the following screenshots:

Issues show without dotted border-bottom styling

Issues edit with dotted border-bottom styling

Associated revisions

Revision 22230 - 2023-05-05 23:43 - Go MAEDA

Issue field labels for fields with descriptions are missing styling on issues show view (#33502).

Patch by Go MAEDA.

Revision 22232 - 2023-05-07 01:40 - Go MAEDA
Merged r22230 from trunk to 5.0-stable (#33502).

Revision 22233 - 2023-05-07 01:41 - Go MAEDA
Merged r22230 from trunk to 4.2-stable (#33502).

History

#1 - 2023-05-04 03:37 - Go MAEDA

- Status changed from New to Confirmed

The "overflow: hidden;" that causes the issue was added in r16039.

#2 - 2023-05-04 06:34 - Go MAEDA

- File clipboard-202305041304-rpwif.png added

- File clipboard-202305041307-ba2qq.png added
- File clipboard-202305041308-kuv3v.png added
- File 33502.patch added

- Target version set to Candidate for next minor release

Changing overflow: hidden; to overflow: clip visible; will fix the issue.

Current (overflow: hidden;):
clipboard-202305041304-rpwif.png
https://www.redmine.org/projects/redmine/repository/svn/revisions/19786/entry/trunk/public/stylesheets/application.css#L533
https://www.redmine.org/projects/redmine/repository/svn/revisions/16039

Patch applied (overflow: clip visible;):
clipboard-202305041308-kuv3v.png

We cannot simpley remove the overflow property. Removing the overflow causes another problem as shown in the screenshot below.
clipboard-202305041307-ba2qq.png

#3 - 2023-05-05 06:08 - Go MAEDA

- Subject changed from Issue field labels for fields with descriptions are missing styling on issues show view. to Issue field labels for fields with
descriptions are missing styling on issues show view

- Target version changed from Candidate for next minor release to 4.2.11

Setting the target version to 4.2.11.

#4 - 2023-05-05 23:44 - Go MAEDA
- Status changed from Confirmed to Resolved
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch.

#5 - 2023-05-07 01:41 - Go MAEDA

- Status changed from Resolved to Closed

Backported the change to stable branches.

Files

issue_show.png 67.4 KB 2020-05-27 Mischa The Evil
issue_edit.png 71.8 KB 2020-05-27 Mischa The Evil
clipboard-202305041304-rpwif.png 9.76 KB 2023-05-04 Go MAEDA
clipboard-202305041307-ba2qgq.png 11.9 KB 2023-05-04 Go MAEDA
clipboard-202305041308-kuv3v.png 9.77 KB 2023-05-04 Go MAEDA
33502.patch 995 Bytes 2023-05-04 Go MAEDA
